Bug 1310837 - oVirt cannot be accessed through IPv6 address
oVirt cannot be accessed through IPv6 address
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
4.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Ravi Nori
Michael Burman
:
Depends On:
Blocks: RHEV_IPv6
  Show dependency treegraph
 
Reported: 2016-02-22 13:24 EST by Yevgeny Zaspitsky
Modified: 2016-09-13 01:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
--no tech note required
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-12 10:05:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oourfali: ovirt‑4.0.0?
rule-engine: planning_ack+
mperina: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
exception stack trace (7.39 KB, text/plain)
2016-02-22 13:24 EST, Yevgeny Zaspitsky
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 54325 master MERGED aaa: oVirt cannot be accessed through IPv6 address 2016-03-09 00:28 EST

  None (edit)
Description Yevgeny Zaspitsky 2016-02-22 13:24:03 EST
Created attachment 1129459 [details]
exception stack trace

Description of problem:
Accessing oVirt GUI through IPv6 server address causes internal server error.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. try accessing oVirt UI by IPV6 address
2.
3.

Actual results:
1. "Internal Server Error" appears in the browser.
2. NumberFormatException is in "server.log" file.

Expected results:
The normal access to the system.

Additional info:
Comment 1 Michael Burman 2016-08-09 10:20:14 EDT
Verified on - rhevm-4.0.2.4-0.1.el7ev.noarch

Note You need to log in before you can comment on or make changes to this bug.